Bug 607979 - [abrt] crash in geeqie-1.0-2.fc13: af_latin_hints_compute_edges: Process /usr/bin/geeqie was killed by signal 11 (SIGSEGV)
[abrt] crash in geeqie-1.0-2.fc13: af_latin_hints_compute_edges: Process /usr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:a9814e4a320757c7149a81a0277...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 06:46 EDT by Egon Kastelijn
Modified: 2011-06-14 15:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-14 15:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (87.31 KB, text/plain)
2010-06-25 06:46 EDT, Egon Kastelijn
no flags Details
The SVG file that causes the crash (19.23 KB, image/svg+xml)
2010-06-26 06:15 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2010-06-25 06:46:41 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: geeqie extracts/storingen.svg
component: geeqie
crash_function: af_latin_hints_compute_edges
executable: /usr/bin/geeqie
global_uuid: a9814e4a320757c7149a81a02770da294d1e8a86
kernel: 2.6.33.5-124.fc13.x86_64
package: geeqie-1.0-2.fc13
rating: 4
reason: Process /usr/bin/geeqie was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Egon Kastelijn 2010-06-25 06:46:44 EDT
Created attachment 426842 [details]
File: backtrace
Comment 2 Michael Schwendt 2010-06-25 07:02:46 EDT
Are you permitted to publish the .svg file?
Comment 3 Egon Kastelijn 2010-06-26 06:13:58 EDT
I removed the sensitive data from the file (without changing the length).
The crash still occurs with the 'anonymous' data.
(see attachment)
Comment 4 Egon Kastelijn 2010-06-26 06:15:35 EDT
Created attachment 427056 [details]
The SVG file that causes the crash
Comment 5 Michael Schwendt 2010-06-26 06:34:24 EDT
Works for me. (also with x86_64)

Is it reproducible for you in a fresh user account (or with $HOME/.geeqie removed)?
Comment 6 Egon Kastelijn 2010-06-26 15:46:29 EDT
I created a fresh user account, and I am unable to reproduce the problem with it.

With my personal account I am able to reproduce it but not 100% of the time.
The strange thing is that the crash only occurs when I open the SVG file directly.
If I open another file an navigate to the 'problem-file' then it renders correctly.

My personal account does not have ~/.geeqie
Comment 7 Fedora Admin XMLRPC Client 2010-09-22 09:55:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2010-09-22 09:55:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Bug Zapper 2011-06-01 11:37:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Egon Kastelijn 2011-06-14 14:49:46 EDT
I am running Geeqie 1.0-10.fc15 x86_64 at the moment, and I am unable to reproduce the problem (the problem does not occur anymore).
I don't mind if this bug is closed.

Note You need to log in before you can comment on or make changes to this bug.